/**
 * jQuery initialization script for CKEditors
 * 
 * Note: Requires jQuery
 * 
 * 1) Define the JavaScript variable fckSettings from appropriate XSL-template
 *    If undefined, CKEditors will not be initialized
 *    
 *    fckSettings {
 *    	basePath
 *      editorContainerClass
 *    	customConfig - relative to basePath if basePath is defined
 *    	editorHeight
 *    	filebrowserBrowseUrl - relative to basePath if basePath is defined
 *    	filebrowserImageBrowseUrl - relative to basePath if basePath is defined
 *    	filebrowserFlashBrowseUrl - relative to basePath if basePath is defined
 *    	contentsCss
 *      callback
 *      toolbar
 *    }
 *    
 *    TODO: basePath should NOT be a fckSetting, since it has no influence on the editor settings. 
 *          It has only been defined to be used as shortcut when assigning settings in this script 
 *          which should be done in the XSL-template instead. It has not been removed in order to 
 *          not break backward compatibility with legacy XSL-templates.
 *          
 *          
 *    
 * 2) Include this file
 * 
 */
$(document).ready(function() {
	if(!(typeof fckSettings === "undefined")) {

		var settings = {
				customConfig: (fckSettings.customConfig != undefined ? ((fckSettings.basePath != undefined ? fckSettings.basePath : "") + fckSettings.customConfig) : null),
				height: fckSettings.editorHeight,
				filebrowserBrowseUrl: (fckSettings.filebrowserBrowseUri != undefined ? ((fckSettings.basePath != undefined ? fckSettings.basePath : "") + fckSettings.filebrowserBrowseUri) : null),
				filebrowserImageBrowseUrl: (fckSettings.filebrowserImageBrowseUri != undefined ? ((fckSettings.basePath != undefined ? fckSettings.basePath : "") + fckSettings.filebrowserImageBrowseUri) : null),
				filebrowserFlashBrowseUrl: (fckSettings.filebrowserFlashBrowseUri != undefined ? ((fckSettings.basePath != undefined ? fckSettings.basePath : "") + fckSettings.filebrowserFlashBrowseUri) : null)
		};

		if(fckSettings.contentsCss != undefined) {
			$.extend(settings, { contentsCss: fckSettings.contentsCss });
		}
		
		if(fckSettings.toolbar != undefined) {
			$.extend(settings, { toolbar : fckSettings.toolbar });
		}
		
		if(fckSettings.callback == undefined) {
			fckSettings.callback = function() {};
		}
		
		if(fckSettings.bodyClass != undefined) {
			$.extend(settings, { bodyClass : fckSettings.bodyClass });
		}
		
		$('.' + fckSettings.editorContainerClass).ckeditor(fckSettings.callback, settings);
	}
});