/**
 * touch2mouse is a plugin converting touch events into mouse events
 * 
 */

(function($){

	var defaults = {  
			
	};
	
	var methods = {

			init: function(options) {
				
				return this.each(function(index){
					if (this.addEventListener){
						this.addEventListener("touchstart", methods.touchHandler, true);
						this.addEventListener("touchmove", methods.touchHandler, true);
						this.addEventListener("touchend", methods.touchHandler, true);
						this.addEventListener("touchcancel", methods.touchHandler, true);
					} else if (this.attachEvent){
						this.attachEvent('touchstart', methods.touchHandler);
						this.attachEvent('touchmove', methods.touchHandler);
						this.attachEvent('touchend', methods.touchHandler);
						this.attachEvent('touchcancel', methods.touchHandler);
					}
				});
				
			},
			
			touchHandler: function(event) {
				
				var touches = event.changedTouches, first = touches[0], type = "";

				switch(event.type) {
				case "touchstart": type = "mousedown"; break;
				case "touchmove":  type="mousemove"; break;        
				case "touchend":   type="mouseup"; break;
				default: return;
				}

				var simulatedEvent = document.createEvent("MouseEvent");
				simulatedEvent.initMouseEvent(type, true, true, window, 1,
						first.screenX, first.screenY,
						first.clientX, first.clientY, false,
						false, false, false, 0, null);

				first.target.dispatchEvent(simulatedEvent);
				event.preventDefault();
			}
	};

	$.fn.touch2mouse = function(method) {

		if (methods[method]) {

			return methods[method].apply(this, Array.prototype.slice.call(arguments, 1));

		} else if ( typeof method === 'object' || ! method ) {

			return methods.init.apply(this, arguments);

		} else {

			$.error( 'Method ' +  method + ' does not exist on jQuery.touch2mouse' );

		}
	};
})(jQuery);